Get Accounts
GET
/unified/ticketing/accounts/{id}
Path Parameters
idstring
required·
The ID of the resource.
Example:
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
integrated_account_idstring · uuid
required·
The ID of the integrated account to use for the request.
Example:
62f44730-dd91-461e-bd6a-aedd9e0ad79dtruto_response_formatstring
The format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
Example:
unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean
Excludes the remote_data attribute from the response.
truto_exclude_fieldsstring[]
Array of fields to exclude from the response.
Example:
truto_exclude_fields[]=id&truto_exclude_fields[]=nameremote_queryRecord<string, any>
Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
Example:
remote_query[foo]=barResponse Body
idstring
required·
The unique identifier for an account
13 supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
created_atstring · date-time
The date and time of the account's creation
12 supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
domainsstring[]
Domains associated with the account
7 supported
supported
supported
supported
supported
supported
supported
supported
etagstring
The unique identifier for the specific version of the resource.
namestring
The name of the account
13 supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
remote_dataRecord<string, any>
Raw data returned from the remote API call.
updated_atstring · date-time
The date and time of the account's last update
11 supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
supported
curl -X GET 'https://api.truto.one/unified/ticketing/accounts/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ticketing/accounts/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/accounts/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'ticketing',
'accounts',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"ticketing",
"accounts",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())